//
// Created by dell on 24-9-26.
//

#ifndef MLX90614_H
#define MLX90614_H

// #define I2C_EVENT_MASTER_MODE_SELECT          ((uint32_t)(I2C_FLAG_I2CBSY | I2C_FLAG_MASTER | I2C_FLAG_RBNE))
#define SLAVE_ADDR         (0x5A << 1)
#define REG_ADDR_OBJ_TEMP  0x07
#define REG_ADDR_AMB_TEMP  0x06

void i2c_config(void);
int read_ir_mlx90614(void);

#endif //MLX90614_H
